// We ought to move this to another file. See https://github.com/requirejs/requirejs/issues/354#issuecomment-6629489 and following
requirejs.config({
    //By default load any module IDs from scripts/vendor...
    baseUrl: 'scripts/vendor',
    paths: {
        //...except, if the module ID starts with "rtcp",
        //load it from the scripts/rtcp directory. paths
        //config is relative to the baseUrl
        rtcp: '../rtcp',

        jquery: '../vendor/jquery.1.9.0.min'
    }
});

// Start the main app logic.
requirejs(['rtcp/predefined-queries', 'rtcp/initial-data-load'],
function   () {
	// Require.js loads the stated dependencies above, then calls this function.
	
	// The initial-data-load module makes an AJAX call to load the initial
	// data. We don't need to call anything from here to get things started.
	
	// Load the charting module (but only after other dependencies have
	// started), so it's ready for when GWT has loaded, and to display the
	// "loading" message.
	require(['rtcp/charting'], function(charting){
		charting.set_is_loading('...');
	});
});