// Define the initial-data-load module, specifying its dependencies
define(['jquery', 'rtcp/predefined-queries'],
function($,             predefined_queries) {

	// Polyfill for Promises on IE, using JQuery's implementation (https://api.jquery.com/jquery.deferred/)
	if(!window.Promise) {
		window.Promise = function(callback) {
			var d = new $.Deferred();
			callback(d.resolve, d.reject);
			return d.promise();
		};
	}
	
	// Run the initial query, and create a promise to wait for/hold its response
	var initial_data_promise = new Promise(function(resolve, reject) {
		predefined_queries.run_query_for_domain("1-week",{
			start : new Date().setDate(new Date().getDate() - 7),
			end : Date.now(),
			unit : "hours"
		}, {
			success: resolve,
			error: reject
		});
	});
	
	// Create the public object for this module
	var initial_data_load = {};
	
	// Expose a public getter for the promise
	initial_data_load.get_initial_data_promise = function() {
		return initial_data_promise;
	};
	
	return initial_data_load;
});
